package com.practice;

import java.util.Arrays;
import java.util.List;

public class AsciiToHex {

	private static String convertToHex(String asciiString) throws Exception {
		// convert string to char array
		char[] chrs = asciiString.toCharArray();

		StringBuilder builder = new StringBuilder();
		// iterate over each element and convert it to integer
		for (char item: chrs) {
			int i = (int) item;
			// convert int value to hex string
			builder.append(Integer.toHexString(i).toUpperCase());
		}

		return builder.toString();
	}

	public static void main(String[] args) {
		List<String> asciis = Arrays.asList(
				"good morning world", 
				"welcome to javacodegeeks", 
				"Convert ASCII to Hex in Java");
		try {
			for (String s: asciis) {
				if (!s.isEmpty()) {
					System.out.println("Original string= " + s);
					System.out.println("Hex Converted string= " + convertToHex(s) + "\n");
				}
			}
		} catch (Exception e) {
			e.printStackTrace();
		}
	}
}
