package com.practice;

import java.util.Arrays;
import java.util.List;

public class HexToAscii {

	private static String convertToAscii(String hexString) throws Exception {
		if (hexString.length() %2 !=0) {
			System.err.println("Input hex string is invlaid");
			throw new Exception("Input input");
		}

		StringBuilder builder = new StringBuilder();
		for (int i=0 ; i<hexString.length(); i=i+2) {
			// splitting strings into two character group
			String str = hexString.substring(i, i+2);
			// converting each character group using valueOf(...) method
			int n = Integer.valueOf(str, 16);
			// casting to char and appending to builder
			builder.append((char)n);
		}

		return builder.toString();
	}

	public static void main(String[] args) {
		List<String> hexStrings = Arrays.asList(
				"676f6f64206d6f726e696e6720776f726c64", 
				"77656c636f6d6520746f206a617661636f64656765656b73", 
				"436f6e766572742048657820746f20415343494920696e204a61766120");
		try {
			for (String s: hexStrings) {
				if (!s.isEmpty()) {
					System.out.println("Original string= " + s);
					System.out.println("Ascii Converted string= " + convertToAscii(s) + "\n");
				}
			}
		} catch (Exception e) {
			e.printStackTrace();
		}
	}
}
